Subject: Re: Testing
From: "Mike" <[email-masked]>
To: "Andi Kuhn" <[email-masked]>
Date: Fri, 9 Nov 2007 09:37:12 -0500

Andi,
FYI.  We do not have all 50 states in Spanish.  We have about 35 now and we are considering dropping a few states where there were only a few sales for the year. Did Michael Grove provide you with a product list.
Mike - LLPS

  ----- Original Message ----- 
  From: Andi Kuhn 
  To: Mike ; Joey Sheets ; Michael Grove 
  Sent: Friday, November 09, 2007 8:57 AM
  Subject: Re: Testing

  Hi  all!!

  I'm a little confused as to where we're at:  are orders processing properly?  Have you received any?  Last I heard was from Joey that shipping information was passing improperly but we'll need to see the data to know how to fix.   Is that what's happening?  

  We'll be working all day today to fix the little things (number displays in IE, the receipt, and then adding the Spanish version of everything).   Anything you can help me by way of what's working and not would be helpful.

  Thanks!!
  Andi

  ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
  MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

  Check out our new blog, BANG!
  http://www.baisdenandco.com/wordpress

  On Nov 7, 2007, at 5:50 PM, Mike wrote:

    Andi,
    Joey Sheets called me to tell me to cancel an order he put in.  Did you want me to try and put one in as well.  Also, I canceled the one you had put in as well.  I found it when I was looking for the other.
    Mike - LLPS

      ----- Original Message -----
      From: Andi Kuhn
      To: Joey Sheets ; Mike
      Sent: Wednesday, November 07, 2007 4:12 PM
      Subject: Testing

      Are you able to test the order process with a live credit card for us?  Mike G. has it set up so it will log all of the activity so we can see what's not working.

      Andi

      ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
      MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

      Check out our new blog, BANG!
      http://www.baisdenandco.com/wordpress

      Begin forwarded message:

        From: "Mike Grove" <[email-masked]>
        Date: November 7, 2007 3:46:37 PM EST
        To: <[email-masked]>
        Subject: Re: website order cart not functioning at all
        Reply-To: [email-masked]

        The web service will now capture the passed data.  You can go ahead and run some tests.  One thing I did notice.  If bad data is passed to the webservice it will fail immediately and will not capture the input.  I can probably make some changes to it to be more flexible, but for now lets just try a few tests to see if we are making it into the web service.

        Mike Grove

------------------------------------------------------------------------
        From: Andi Kuhn <[email-masked]>
        Subject: Re: website order cart not functioning at all
        Date: Wed, 7 Nov 2007 15:15:57 -0500
        To: [email-masked]

        That "Order Failed" screen is our custom message that we output when we get a failed order response from the web service.

        ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
        MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

        Check out our new blog, BANG!
        http://www.baisdenandco.com/wordpress

        On Nov 7, 2007, at 3:10 PM, Mike Grove wrote:

          None of my code produces that message.  That has to be coming from your side.  That can not be what the web service is returning.

----------------------------------------------------------------------
          From: Andi Kuhn <[email-masked]>
          Subject: Re: website order cart not functioning at all
          Date: Wed, 7 Nov 2007 15:06:01 -0500
          To: [email-masked]

          Joey tried a valid credit card and gets an 'Order Failed,"  I tried a bunk cc and got the same. . . 

          ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
          MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

          Check out our new blog, BANG!
          http://www.baisdenandco.com/wordpress

          On Nov 7, 2007, at 3:00 PM, Mike Grove wrote:

            Can you be more specific when you say order "aren't processing correctly"?  Are you getting a response from the web service?  Is your process timing out waiting for a response?  If you are getting a response what does it look like?

            Have you tried testing an order with an invalid credit card number?  It should automatically return an "Invalid card number" response.

            Mike Grove

--------------------------------------------------------------------
            From: Andi Kuhn <[email-masked]>
            Subject: Re: website order cart not functioning at all
            Date: Wed, 7 Nov 2007 14:46:31 -0500
            To: Michael Grove [email-masked]

            Ok - it looks like you've changed the calcshipping thing, and we've made the changes as requested below, but orders still aren't processing correctly.   Are they coming through on your end?

            ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
            MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

            Check out our new blog, BANG!
            http://www.baisdenandco.com/wordpress

            On Nov 6, 2007, at 9:18 PM, Michael Grove wrote:

              Hi Alex,

              I ran a few tests on the production database with the credit card processor disabled.  All of my test orders completed without any problems.

              I did make one correction which changes one of the input fields.

              I am not sure if I have already discussed this with you, but just in case.  When calling the AddOrder function the ProductList field uses the following format:

              ProductID-UnitPrice-Quantity,ProductID-UnitPrice-Quantity,...

              I think previously I told you to only pass the ProductID and Quantity.  All three are needed for the order to display properly internally.

              I have attached an example of the code I used to test the web service locally.  Check to make sure all of your passed parameters follow the same format as my example.  Of course the web service URL will look different for you.  It should look like this:

              https://secure.llpsinc.com/llps/common/cfc/remote.cfc

              I am not sure if Mike Bishop has spoken to you about this yet, but you will definitely need some code that prevents a customer from submitting duplicate orders, back to back.  So far only two orders have come through from the public website and one was a duplicate of the other.

              I hope this helps tracking down the remaining issues,
              Mike Grove

              Andi Kuhn wrote:
                Mike,

                See below for processing issues - is it passing information at all??

                Andi

                ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
                MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

                Check out our new blog, BANG!
                http://www.baisdenandco.com/wordpress

                Begin forwarded message:

                  From: "Mike" <[email-masked]>
                  Date: November 6, 2007 4:21:35 PM EST
                  To: "Andi Kuhn" <[email-masked]>
                  Subject: Re: website order cart not functioning at all

                  OK. I just tried to run and order through.  It came back saying "Order Failed".  I have no idea why.  It does not give any kind of reason and it wipes out all of the previous information.  I don't know what went wrong or where in the process it went wrong.  I am not sure if Michael Grove can see anything internally or not.  I was processing it under Labor Law Poster Service.  It did not transfer through any actual order to our system.

                    ----- Original Message -----
                    From: Andi Kuhn
                    To: Mike
                    Sent: Tuesday, November 06, 2007 2:23 PM
                    Subject: Re: website order cart not functioning at all

                    If you're able, that would be great. . . 

                    ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
                    MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

                    Check out our new blog, BANG!
                    http://www.baisdenandco.com/wordpress

                    On Nov 6, 2007, at 1:44 PM, Mike wrote:

                      Would you like me to test a live sale on my end?
                        ----- Original Message -----
                        From: Andi Kuhn
                        To: Mike
                        Sent: Tuesday, November 06, 2007 1:28 PM
                        Subject: Re: website order cart not functioning at all

                        Should all be working now (the below).  We're waiting on Mike Grove (just copied you on an email) to test the incoming data into the existing order processing system to be sure everything is passing correctly.   Will let you know as soon as I hear back if he doesn't 'reply all.'

                        Andi

                        ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
                        MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

                        Check out our new blog, BANG!
                        http://www.baisdenandco.com/wordpress

                        On Nov 5, 2007, at 5:29 PM, Mike wrote:

                          and that I truly understand (about being pressed to go before being completed).  Anyway, I closed completely out of my browser and reopened the website.  I am trying to choose 1-Arkansas cset of posters.  I have the circle marked and the quantity is 1. I hit the "Add to cart and the response when being sent to a different page is "Item added to cart.  No items are currently in your cart."  I have tried ordering from 3 different computers.  All produce the same result.

                          As far as the payment side of things, do you know where the  order "goes" when it is processed?  Will it be sent to an email?  Or is it actually created on our system?  Is there some sort of a conversion that takes place to get the order moved into our system as an order?  Just curious of the logistics of the whole process. 
                          The last I spoke to Michael Grove about the website, he had told me that everything was done on his side and that testing just needed to be performed.  Do you need me to contact him for you?

                            ----- Original Message -----
                            From: Andi Kuhn
                            To: Mike
                            Sent: Monday, November 05, 2007 4:08 PM
                            Subject: Re: website order cart not functioning at all

                            Hmmm . . . I've been doing the same and have quite a few things in my cart.  We are having issues with the live credit card processing and I'm waiting to hear back from Mike Grove - I've tried contacting him Friday and today.  

                            We are testing and will check into it.  In the meantime, I look forward to your list.  We've had our team reviewing/clicking/testing but of course the more eyes the better - and especially more systems and user behaviors. . .  There was a rush to go live before I feel that we were able to accomplish adequate testing.

                            :) Andi

                            ANDI KUHN / Director, Interactive & Emerging Media / v. 813.258.8858 / f. 813.258.8859 / [email-masked]
                            MUELLER/BAISDEN ADVERTISING / www.muellerbaisden.com / 3508 S. Manhattan Ave., Tampa, Florida 33629

                            Check out our new blog, BANG!
                            http://www.baisdenandco.com/wordpress

                            On Nov 5, 2007, at 3:59 PM, Mike wrote:

                              Andi,
                              I have been testing the website.  There are quite a few glitches that need to be fixed.  One in particular is the order cart.  I can't get anything to be loaded into the cart now.  Is this just dismantled now?  Each time you make a selection, add it to the cart, the response is that nothing has been added to the cart.  Also, the Federal and State pricing is switched up.  The State are $29.50 and the Federal is $14.50.  You might want to run a few tests to see where the pricing is not carrying through as well. I am putting together a list for Steve of things that need to be addressed.  Contact me if you have questions.
                              Thank you,

                              Michael Bishop
                              Labor Law Poster Service
                              Phone 877-321-4144
                              Fax 888-442-4144
                              [email-masked]

              <cfinvoke
                WebService="https://127.0.0.1/llps/common/cfc/Remote.cfc?wsdl"
                Method="AddOrder"
                ReturnVariable="Result"

                <cfinvokeargument name="CustomerID" value="60971061" />
                <cfinvokeargument name="PurchaseList" value="1-3.00-3,2-4.00-2" />
                <cfinvokeargument name="CreditCardNumber" value="111111111" />
                <cfinvokeargument name="CreditCardExpirationDate" value="10-2008" />
                <cfinvokeargument name="TotalPrice" value="30.00" />
                <cfinvokeargument name="ShippingPrice" value="14.95" />
                <cfinvokeargument name="ShippingAddress" value="1111 test st.#Chr(13)##Chr(10)#test, fl 22222" />
                <cfinvokeargument name="ShippingMethodID" value="1" />
              </cfinvoke>